Skip to main content
GET
/
customers
/
{customerId}
/
invoicing-schedule
Get invoicing schedule
curl --request GET \
  --url https://api.example.com/customers/{customerId}/invoicing-schedule
import requests

url = "https://api.example.com/customers/{customerId}/invoicing-schedule"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/customers/{customerId}/invoicing-schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "issuedAt": "<string>",
      "period": {
        "startedAt": "<string>",
        "endedAt": "<string>"
      },
      "components": [
        {
          "id": "<string>",
          "premium": {
            "amountPreFeesAndTaxes": 123,
            "fees": [
              {
                "id": "<string>",
                "amount": 123,
                "brokerageFirmId": "<string>"
              }
            ],
            "totalFees": 123,
            "amountWithFeesPreTaxes": 123,
            "taxes": [
              {
                "id": "<string>",
                "amount": 123
              }
            ],
            "totalTaxes": 123,
            "amountWithFeesAndTaxes": 123
          },
          "reconciliation": true
        }
      ],
      "lines": [
        {
          "label": "<string>",
          "total": {
            "amountPreFeesAndTaxes": 123,
            "fees": [
              {
                "id": "<string>",
                "amount": 123,
                "brokerageFirmId": "<string>"
              }
            ],
            "totalFees": 123,
            "amountWithFeesPreTaxes": 123,
            "taxes": [
              {
                "id": "<string>",
                "amount": 123
              }
            ],
            "totalTaxes": 123,
            "amountWithFeesAndTaxes": 123
          }
        }
      ],
      "total": {
        "amountPreFeesAndTaxes": 123,
        "fees": [
          {
            "id": "<string>",
            "amount": 123,
            "brokerageFirmId": "<string>"
          }
        ],
        "totalFees": 123,
        "amountWithFeesPreTaxes": 123,
        "taxes": [
          {
            "id": "<string>",
            "amount": 123
          }
        ],
        "totalTaxes": 123,
        "amountWithFeesAndTaxes": 123
      },
      "reconciledInvoiceIds": [
        "<array>"
      ]
    }
  ],
  "total": 123,
  "offset": 123,
  "limit": 123
}

Path Parameters

customerId
string
required

Query Parameters

whenAt
string

Optional: the whenAt datetime

simulatedAt
string

Optional: the simulatedAt datetime

branchId
string

Optional: the branchId

excludeInvoiceIds
string[]

Invoice IDs to exclude from currentInvoiceIds when calculating the schedule

Response

data
object[]
required

Array invoice details

total
number

Optional: Total number of invoice details

offset
number

Optional: Number of invoice details the array has to star after

limit
number

Optional: Number of invoice details in the array